USE SSISDB;
GO

-- Step 1: Create the execution
DECLARE @x_id BIGINT;

EXEC [catalog].[create_execution] 
	@package_name = N'_Load Controller.dtsx'
	, @execution_id = @x_id OUTPUT
	, @folder_name = N'DunderMifflin'
	, @project_name = N'LoadSalesData_Staging'
	, @use32bitruntime = False
	, @reference_id = NULL
	, @runinscaleout = False


-- Step 2: Configure to add parameters
EXEC [catalog].[set_execution_parameter_value] 
	@execution_id = @x_id
	, @object_type = 20
	, @parameter_name = N'pp_SalesODS_ConnectionString'
	, @parameter_value = N'Data Source=.;Initial Catalog=DunderMifflinODS;provider=SQLNCLI11.1;integrated security=SSPI;'

EXEC [catalog].[set_execution_parameter_value] 
	@execution_id = @x_id
	, @object_type = 20
	, @parameter_name = N'pp_Sales_ConnectionString'
	, @parameter_value = N'Data Source=.;Initial Catalog=DunderMifflin;Provider=SQLNCLI11.1;Integrated Security=SSPI;';


-- Step 3: Start the package execution
EXEC [catalog].[start_execution] @execution_id = @x_id




