USE SSISDB;
GO

-- Step 1: Create the execution
DECLARE @x_id BIGINT;

EXEC [catalog].[create_execution] 
	@package_name = N'_Load Controller.dtsx'
	, @execution_id = @x_id OUTPUT
	, @folder_name = N'DunderMifflin'
	, @project_name = N'LoadSalesData_Staging'
	, @use32bitruntime = False
	, @reference_id = NULL
	, @runinscaleout = False


-- Step 2: Configure to add parameters
EXEC [catalog].[set_execution_parameter_value] 
	@execution_id = @x_id
	, @object_type = 20
	, @parameter_name = N'pp_SalesODS_ConnectionString'
	, @parameter_value = N'Data Source=.;Initial Catalog=DunderMifflinODS;provider=SQLNCLI11.1;integrated security=SSPI;'

EXEC [catalog].[set_execution_parameter_value] 
	@execution_id = @x_id
	, @object_type = 20
	, @parameter_name = N'pp_Sales_ConnectionString'
	, @parameter_value = N'Data Source=.;Initial Catalog=DunderMifflin;Provider=SQLNCLI11.1;Integrated Security=SSPI;';


-- Step 3: Set the Synchronized property
EXEC [catalog].[set_execution_parameter_value]
	@execution_id = @x_id
	, @object_type = 50
	, @parameter_name = N'SYNCHRONIZED'
	, @parameter_value = 1


-- Step 4: Start the package execution
EXEC [catalog].[start_execution] @execution_id = @x_id


-- Step 5: Retrieve the status of this execution, and fail
--	the batch if the status is anything other than 7 (success)
IF (SELECT status 
	FROM catalog.executions 
	WHERE execution_id = @x_id) <> 7
RAISERROR('The package has failed. See the error log for details.'
	, 16
	, 1)

