/*****************************************************************************
						Create a credential to be used by proxy
*****************************************************************************/
USE [master]
GO 
--Drop the credential if it is already existing 
IF EXISTS (SELECT 1 FROM sys.credentials WHERE name = N'ssis_execution_credential') 
BEGIN 
	DROP CREDENTIAL [ssis_execution_credential] 
END 
GO 

CREATE CREDENTIAL [ssis_execution_credential] 
	WITH IDENTITY = N'DOMAINNAME\ssis_execution_user'	-- Existing nonprivileged Windows acct
	, SECRET = N'SuperSecretPassword' 
GO

/*****************************************************************************
				Create the proxy account and grant access to SSIS
*****************************************************************************/
USE [msdb]
GO

-- Delete the proxy if exists
IF EXISTS (SELECT name FROM msdb.dbo.sysproxies WHERE name = N'ssis_execution_proxy')
BEGIN
	EXEC msdb.dbo.sp_delete_proxy @proxy_name=N'ssis_execution_proxy'
END
GO

-- Create the proxy using the credential defined above
EXEC msdb.dbo.sp_add_proxy @proxy_name=N'ssis_execution_proxy'
	, @credential_name=N'ssis_execution_credential'
	, @enabled=1
GO

-- Grant access to the SSIS subsystem for this proxy
EXEC msdb.dbo.sp_grant_proxy_to_subsystem @proxy_name=N'ssis_execution_proxy', @subsystem_id=11
GO